import * as React from 'react';
export declare function CodeStylingProvider(props: {
  children: React.ReactNode;
}): import("react/jsx-runtime").JSX.Element;
export declare function useCodeStyling(): string;
export declare function useNoSsrCodeStyling(): string | undefined;
export declare function useSetCodeStyling(): React.Dispatch<React.SetStateAction<string>>;